Subject: Re: bug#49826: 26.1; Clicking on error in Inferior Python mode jumps to wrong line after source file edit

From: Lars Ingebrigtsen <[email-masked]>
Date: Wed, 04 Aug 2021 09:26:04 +0200

Al Go <[email-masked]> writes:

> BUT, if I then edit the source file by adding or removing lines before the error,
> for example:
>
> #1
> #2
> assert False
> #b
> #c
>
> the inferior mode buffer now shows:
>
> "File "[...]/t.py", line 3, in <module>
>
> Which is still correct, but clicking on it now sends me to line 4 (#b) instead of
> line 3.

I'm not able to reproduce this in Emacs 28 -- I think it was fixed a few
months ago there.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no